<?php
require_once("../../config.php");
require_once($urnreg_path."/AuthManager.php");

$auth = AuthManager::getAuth();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<title>URNreg</title>
    <link href="css/urnreg.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="NiftyCube/niftyCorners.css">
	<script type="text/javascript" src="Prototype/prototype.js"></script>
	<script type="text/javascript" src="NiftyCube/niftycube.js"></script>
	<script type="text/javascript" src="js/Base64.js"></script>
</head>
<body>
<div id="main">
	<div id="header">
		<div id="headerthing">&nbsp;</div>
		<div id="headercontent">
			<div id="nav">
				<ul id="list">
<?php
if ($auth->isAuth()) {
?>
					<li style="float: right;">Logged as <?php echo $auth->getUser(); ?> - <a href="logout.php"><span>Logout</span></a></li>
<?php
}
else {
?>
					<li style="float: right;"><a href="login.php"><span>Login</span></a></li>
<?php
}
?>
					<li><a href="index.php"><span>Home</span></a></li>
					<li><a href="browser.php"><span>See URNs</span></a></li>
					<li><a href="browser-oid.php"><span>See OIDs</span></a></li>
					<li><a href="api.php"><span>API</span></a></li>
					<li><a href="admin.php"><span>Admin</span></a></li>
				</ul>
			</div>
		</div>
	</div>
	<div id="content">
		<p>The registry can be browsed using the namespace hierarchy and searched for specific values. At each point in the hierarchy, data about the specific value is shown:</p>
		<ul>
			<li>A (possibly multilingual) description</li>
			<li>Contact data</li>
			<li>Delegation links</li>
			<li>A list of the allocated children values</li>
			<li>Four icons intended to perform the following operations:
				<br><img src="icons/bookmark.gif"/> A permalink of the regitry itself
				<br><img src="icons/refresh.gif"/> Refresh data from the registry backend
				<br><img src="icons/diskette.gif"/> View data as provided by the registry web service
				<br><img src="icons/plus.gif"/> Request a new child URN
			</li>
		</ul>
		<h3><img src="icons/bookmark.gif"/> Permalink</h3>
		<p>This option provides a permalink of the registered object.</p>
		<h3><img src="icons/refresh.gif"/> Refreshing data</h3>
		<p>Selecting the refresh icon does not only imply to collect the latest data stored in the registry backend, but also to collapse all the children URN values shown for the value you choose.</p>
		<h3><img src="icons/diskette.gif"/> Accesing the web service</h3>
		<p>The registry offers a web service to other applications in order to verify whether a certain URN is already registered. This web service is invoked by means of an URL of the form:
		<pre>&nbsp;&nbsp;&nbsp;<?php echo $API_URI_BASE; ?>/search/?urn=URL-ESCAPED-URN </pre>
		<p>And returns a XML document with the appropriate result. This option provides a direct connection to this service, pro</p>
		<h3><img src="icons/plus.gif"/> New child URN</h3>
		<p>This option opens a form in which a set of basic data for the requested value must be provided, including as many multilingual descriptions as the requester wish to include.</p>
		<p>The request will be put in a queue for the registry administrators, and the requester will receive a confirmation e-mail. Once the request is processed by the administrators, the requester will receive an acceptance or rejection message.</p>
	</div>
	<div id="footer"><img src="icons/siledap-api.png" alt="api" /></div>
</div>
</body>
</html>